javax.media.opengl

## Class AWTGraphicsDevice

- java.lang.Object
- - javax.media.opengl.AWTGraphicsDevice

All Implemented Interfaces:
  AbstractGraphicsDevice

    public class AWTGraphicsDevice
    extends Object
    implements AbstractGraphicsDevice

A wrapper for an AWT GraphicsDevice allowing it to be handled in a toolkit-independent manner.

### Constructor Summary

Constructors
Constructor and Description
`AWTGraphicsDevice(GraphicsDevice device)`

### Method Summary

Methods
`GraphicsDevice` `getGraphicsDevice()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AWTGraphicsDevice

    public AWTGraphicsDevice(GraphicsDevice device)

### Method Detail

#### getGraphicsDevice

    public GraphicsDevice getGraphicsDevice()